# Uses of Class
java.util.random.RandomGeneratorFactory

Packages that use RandomGeneratorFactory
Package
Description
java.util.random
This package contains classes and interfaces that support a generic API for random number generation.

## Uses of RandomGeneratorFactory in java.util.random

Methods in java.util.random that return RandomGeneratorFactory
Modifier and Type
Method
Description
`static RandomGeneratorFactory<RandomGenerator>`
RandomGeneratorFactory.`getDefault()`
Returns a `RandomGeneratorFactory` meeting the minimal requirement of having an algorithm whose state bits are greater than or equal 64.
`static <T extends RandomGenerator>
RandomGeneratorFactory<T>`
RandomGeneratorFactory.`of(String name)`
Returns a `RandomGeneratorFactory` that can produce instances of `RandomGenerator` that utilize the `name` algorithm.
Methods in java.util.random that return types with arguments of type RandomGeneratorFactory
Modifier and Type
Method
Description
`static Stream<RandomGeneratorFactory<RandomGenerator>>`
RandomGeneratorFactory.`all()`
Returns a non-empty stream of available `RandomGeneratorFactory(s)`.